v_axi4s_remap: XV_axi4s_remap_Config Struct Reference

| v_axi4s_remap Xilinx SDK Drivers API Documentation

- Overview
- Data Structures

- Data Structures
- Data Fields

Data Fields
XV_axi4s_remap_Config Struct Reference

This typedef contains configuration information for the mixer core Each core instance should have a configuration structure associated. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | NumVidComponents
| Number of Video Components. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | PixPerClkIn
| Input Samples Per Clock. More...
u16 | PixPerClkOut
| Output Samples Per Clock. More...
u16 | IsPixPerClockConvEn
| Samples Per Clock Coversion Feature Enable. More...
u16 | MaxDataWidthIn
| Input Maximum Data width of each channel. More...
u16 | MaxDataWidthOut
| Output Maximum Data width of each channel. More...
u16 | IsHdmi420InEn
| HDMI 420 to AXIS 420 converter block En. More...
u16 | IsHdmi420OutEn
| AXIS 420 to HDMI 420 converter block En. More...
u16 | IsInPixelDropEn
| Input Pixel Drop block En. More...
u16 | IsOutPixelRepeatEn
| Output Pixel Repeat block En. More...

## Detailed Description

This typedef contains configuration information for the mixer core Each core instance should have a configuration structure associated.

## Field Documentation

UINTPTR XV_axi4s_remap_Config::BaseAddress

The base address of the core instance.

u16 XV_axi4s_remap_Config::DeviceId

Unique ID of device.

u16 XV_axi4s_remap_Config::IsHdmi420InEn

HDMI 420 to AXIS 420 converter block En.

u16 XV_axi4s_remap_Config::IsHdmi420OutEn

AXIS 420 to HDMI 420 converter block En.

u16 XV_axi4s_remap_Config::IsInPixelDropEn

Input Pixel Drop block En.

u16 XV_axi4s_remap_Config::IsOutPixelRepeatEn

Output Pixel Repeat block En.

u16 XV_axi4s_remap_Config::IsPixPerClockConvEn

Samples Per Clock Coversion Feature Enable.

u16 XV_axi4s_remap_Config::MaxDataWidthIn

Input Maximum Data width of each channel.

u16 XV_axi4s_remap_Config::MaxDataWidthOut

Output Maximum Data width of each channel.

u16 XV_axi4s_remap_Config::MaxHeight

Maximum rows supported by core instance.

u16 XV_axi4s_remap_Config::MaxWidth

Maximum columns supported by core instance.

u16 XV_axi4s_remap_Config::NumVidComponents

Number of Video Components.

u16 XV_axi4s_remap_Config::PixPerClkIn

Input Samples Per Clock.

u16 XV_axi4s_remap_Config::PixPerClkOut

Output Samples Per Clock.